# Interface ExtendedCompoundFilter<D>

Construct a type with the properties of T except for those in type K.

#### Type Parameters

- #### D

#### Hierarchy

- ExtendedCompoundFilterDef<D>
- BaseDataFilter<D>
  - ExtendedCompoundFilter

#####
Index

### Properties

criteria
op

### Methods

filter

## Properties

### criteria

criteria: (TextFilterDef | ExtendedCompoundFilterDef<D> | AttributeFilterDef<D> | AttributeExprFilterDef<D> | NestedFilterDef<D>)[]

Inherited from ExtendedCompoundFilterDef.criteria

### op

op: CompoundOperator

Inherited from ExtendedCompoundFilterDef.op

## Methods

### filter

- filter(item, index?, array?): boolean

- #### Parameters

  - ##### item: D

  - ##### `Optional` index: number

  - ##### `Optional` array: D[]

  #### Returns boolean

  Inherited from BaseDataFilter.filter

Generated using TypeDoc